import { FC } from 'react';
import styles from './PatternPreview.module.css';

const canvasSafeBound = {
  coordinate: { pt: 5.5, pr: 5.5, pb: 5.5, pl: 5.5 },
  chart: { pt: 5.5, pr: 5.5, pb: 5.5, pl: 5.5 },
};

const PatternPreview: FC = () => {
  return (
    <div className={styles.pattern_preview}>
      <h4>Pattern Preview</h4>
      <div>
        <canvas />
      </div>
    </div>
  );
};

export default PatternPreview;
