import { FC } from 'react';
import PatternPreview from '../components/PatternPreview';
import PatternHeader from '../page-components/pattern-editor/PatternHeader';
import PatternOverview from '../page-components/pattern-editor/PatternOverview';
import PulseAttributes from '../page-components/pattern-editor/PulseAttributes';
import styles from './PatternEditor.module.css';

const PatternEditor: FC = () => {
  return (
    <div className="workspace vertical">
      <PatternHeader />
      <div className={styles.pattern_editor_content}>
        <PatternOverview />
        <PulseAttributes />
      </div>
      <PatternPreview />
    </div>
  );
};

export default PatternEditor;
